using noteApi.Dtos.Note;
using noteApi.Models;

namespace noteApi.Interfaces
{
    public interface INoteRepository
    {
        Task<List<Note>> GetAllAsync();
        Task<Note?> GetByIdAsync(int id);
        Task<Note> CreateAsync(CreateNoteDto noteModel);
        Task<Note?> UpdateAsync(int id, CreateNoteDto noteModel);
        Task<Note?> DeleteAsync(int id);
    }
}
